Loading...
Searching...
No Matches
vspace::EventSet Class Reference

`#include <vspace.h>`

## Public Member Functions

| EventSet ()
void | add (Event *event)
void | add (Event &event)
EventSet & | operator<< (Event *event)
EventSet & | operator<< (Event &event)
int | wait ()

## Private Attributes

Event * | _head
Event * | _tail

## Detailed Description

Definition at line 2579 of file vspace.h.

## Constructor & Destructor Documentation

## EventSet()

vspace::EventSet::EventSet | ( |  | ) |

inline

Definition at line 2584 of file vspace.h.

: _head(NULL), _tail(NULL) {
}
vspace::EventSet::_head
Event * _head
Definition vspace.h:2581
vspace::EventSet::_tail
Event * _tail
Definition vspace.h:2581
NULL
#define NULL
Definition omList.c:12

## Member Function Documentation

## add() [1/2]

void vspace::EventSet::add | ( | Event & | event | ) |

inline

Definition at line 2587 of file vspace.h.

{
add(&event);
}
add
STATIC_VAR unsigned add[]
Definition misc_ip.cc:108

## add() [2/2]

void vspace::EventSet::add | ( | Event * | event | ) |

Definition at line 1191 of file vspace.cc.

{
event->_next = NULL;
if (_head == NULL) {
_head = _tail = event;
} else {
_tail->_next = event;
_tail = event;
}
}

## operator<<() [1/2]

EventSet & vspace::EventSet::operator<< | ( | Event & | event | ) |

inline

Definition at line 2594 of file vspace.h.

{
add(event);
return *this;
}

## operator<<() [2/2]

EventSet & vspace::EventSet::operator<< | ( | Event * | event | ) |

inline

Definition at line 2590 of file vspace.h.

{
add(event);
return *this;
}

## wait()

int vspace::EventSet::wait | ( |  | ) |

Definition at line 1201 of file vspace.cc.

{
size_t n = 0;
for (Event *event = _head; event; event = event->_next) {
if (!event->start_listen((int) (n++))) {
break;
}
}
internals::ipc_signal_t result = internals::check_signal();
for (Event *event = _head; event; event = event->_next) {
event->stop_listen();
}
internals::accept_signals();
return (int) result;
}
result
return result
Definition facAbsBiFact.cc:76
vspace::internals::accept_signals
void accept_signals()
Definition vspace.cc:1069
vspace::internals::ipc_signal_t
int ipc_signal_t
Definition vspace.h:1481
vspace::internals::check_signal
ipc_signal_t check_signal(bool resume, bool lock)
Definition vspace.cc:990

## Field Documentation

## _head

Event* vspace::EventSet::_head

private

Definition at line 2581 of file vspace.h.

## _tail

Event * vspace::EventSet::_tail

private

Definition at line 2581 of file vspace.h.

The documentation for this class was generated from the following files:

- kernel/oswrapper/vspace.h
- kernel/oswrapper/vspace.cc